Package rainbowPackage

# Class RainbowPattern2D

java.lang.Object
rainbowPackage.RainbowPattern2D

public class RainbowPattern2D extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `double[]`
  `argb`
  `RainbowSoftColor`
  `color`
  `double`
  `colorBeingChecked`
  `javafx.scene.paint.Color`
  `fxColor`
  `javafx.scene.paint.Color[]`
  `fxColorArray`
  `double`
  `numberOfTransitions`
  `double`
  `opacityBeingChecked`
  `double`
  `originalFormulaValue`
  `double[]`
  `rgb`
  `double`
  `sliderValue`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RainbowPattern2D()`
  `RainbowPattern2D(double[] ARGB)`
  `RainbowPattern2D(javafx.scene.paint.Color FXColor)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `ColorValueFitter(double ColorToBeChecked)`
  `javafx.scene.paint.Color[]`
  `CustomColorsReverser(javafx.scene.paint.Color[] FXcolorArray)`
  `double`
  `Exponentiator(double ExponentValue, double SliderValue, double SliderRange)`
  `double`
  `Exponentiator(double ExponentValue, double SliderValue, double SliderStart, double SliderFinish)`
  `Object`
  `get()`
  `double`
  `OpacityValueFitter(double OpacityToBeChecked)`
  `Object`
  `RainbowCheapFractalGradated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, double DimWidth, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)`
  `Object`
  `RainbowCheapFractalGradated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, double DimWidth, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)`
  `Object`
  `RainbowCheapFractalVaryated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, double DimWidth, boolean Reversed)`
  `Object`
  `RainbowCheapFractalVaryated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, double DimWidth, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed)`
  `Object`
  `RainbowClockGradated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)`
  `Object`
  `RainbowClockGradated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)`
  `Object`
  `RainbowClockVaryated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, boolean Reversed)`
  `Object`
  `RainbowClockVaryated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed)`
  `Object`
  `RainbowDiskGradated(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatRadius, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)`
  `Object`
  `RainbowDiskGradated(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatRadius, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)`
  `Object`
  `RainbowDiskVaryated(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatRadius, boolean Reversed)`
  `Object`
  `RainbowDiskVaryated(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatRadius, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed)`
  `Object`
  `RainbowDoubleExponentiator(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, Dimension Dim, double ExponentValue, double colorFlipper, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)`
  `Object`
  `RainbowDoubleExponentiator(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, Dimension Dim, double ExponentValue, double colorFlipper, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)`
  `Object`
  `RainbowExponentiator(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, Dimension Dim, double ExponentValue, double colorFlipper, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)`
  `Object`
  `RainbowExponentiator(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, Dimension Dim, double ExponentValue, double colorFlipper, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)`
  `Object`
  `RainbowRingGradated(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatRadius, double InnerCutOffRadius, double OuterCutOffRadius, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)`
  `Object`
  `RainbowRingGradated(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatRadius, double InnerCutOffRadius, double OuterCutOffRadius, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)`
  `Object`
  `RainbowRingVaryated(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatRadius, double InnerCutOffRadius, double OuterCutOffRadius, boolean Reversed)`
  `Object`
  `RainbowRingVaryated(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatRadius, double InnerCutOffRadius, double OuterCutOffRadius, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed)`
  `Object`
  `RainbowSoftColorFunction(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, RainbowSoftColor ColorBefore, RainbowSoftColor ColorAfter)`
  `Object`
  `RainbowSpiralGradated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, double SpiralFactor, double NumberOfSpirals, double HalfSreenDiagionalLength, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)`
  `Object`
  `RainbowSpiralGradated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, double SpiralFactor, double NumberOfSpirals, double HalfSreenDiagionalLength, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)`
  `Object`
  `RainbowSpiralVaryated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, double SpiralFactor, double NumberOfSpirals, double HalfSreenDiagionalLength, boolean Reversed)`
  `Object`
  `RainbowSpiralVaryated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, double SpiralFactor, double NumberOfSpirals, double HalfSreenDiagionalLength, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed)`
  `Object`
  `RainbowStrobeGradated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, Dimension Dim, Dimension HalfedDim, double HalfSreenDiagionalLength, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)`
  `Object`
  `RainbowStrobeGradated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, Dimension Dim, Dimension HalfedDim, double HalfSreenDiagionalLength, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)`
  `Object`
  `RainbowStrobeVaryated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, Dimension Dim, Dimension HalfedDim, double HalfSreenDiagionalLength, boolean Reversed)`
  `Object`
  `RainbowStrobeVaryated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, Dimension Dim, Dimension HalfedDim, double HalfSreenDiagionalLength, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed)`
  `void`
  `set(double[] ARGB)`
  `void`
  `set(javafx.scene.paint.Color FXColor)`
  `Object`
  `SimpleCustomColor(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double[][] RGBcolorArray)`
  `Object`
  `SimpleCustomColor(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations, double[][] ARGBcolorArray)`
  `Object`
  `SimpleCustomColor(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations, double[][] ARGBcolorArray, boolean Adjusted)`
  `Object`
  `SimpleCustomColor(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations, double[][] RGBcolorArray, double OpacityBefore, double OpacityAfter, boolean Adjusted)`
  `Object`
  `SimpleCustomColor(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations, javafx.scene.paint.Color[] FXcolorArray)`
  `Object`
  `SimpleCustomColor(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations, javafx.scene.paint.Color[] FXcolorArray, boolean Adjusted)`
  `Object`
  `SimpleCustomColor(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations, javafx.scene.paint.Color[] FXcolorArray, double OpacityBefore, double OpacityAfter, boolean Adjusted)`
  `Object`
  `SimpleCustomColor(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, javafx.scene.paint.Color[] FXcolorArray)`
  `Object`
  `SimpleRainbow(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength)`
  `Object`
  `SimpleRainbow(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations)`
  `Object`
  `SimpleRainbow(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations, boolean Adjusted)`
  `Object`
  `SimpleRainbow(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter)`
  `Object`
  `SimpleRainbow(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)`
  `Object`
  `SimpleRainbowReverse(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength)`
  `Object`
  `SimpleRainbowReverse(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations)`
  `Object`
  `SimpleRainbowReverse(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations, boolean Adjusted)`
  `Object`
  `SimpleRainbowReverse(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter)`
  `Object`
  `SimpleRainbowReverse(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)`
  `double`
  `SliderFormulateDoubleSliding(double ColorsLength, double FormulaValue, double LocationOfStillMovement, double LocationOfColorMovement, double RepeatLength)`
  `double`
  `SliderFormulateJustMovingColors(double ColorsLength, double FormulaValue, double LocationOfColorMovement, double RepeatLength)`
  `double`
  `SliderFormulateSlidingTransitionsSameColors(double ColorsLength, double FormulaValue, double LocationOfStillMovement, double RepeatLength)`
  `javafx.scene.paint.Color`
  `ToFXColor()`
  `javafx.scene.paint.Color`
  `ToFXColor(double[] ARGB)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### rgb

    public double[] rgb

  - ### argb

    public double[] argb

  - ### fxColor

    public javafx.scene.paint.Color fxColor

  - ### fxColorArray

    public javafx.scene.paint.Color[] fxColorArray

  - ### colorBeingChecked

    public double colorBeingChecked

  - ### opacityBeingChecked

    public double opacityBeingChecked

  - ### sliderValue

    public double sliderValue

  - ### originalFormulaValue

    public double originalFormulaValue

  - ### numberOfTransitions

    public double numberOfTransitions

  - ### color

    public RainbowSoftColor color

- ## Constructor Details

  - ### RainbowPattern2D

    public RainbowPattern2D(javafx.scene.paint.Color FXColor)

  - ### RainbowPattern2D

    public RainbowPattern2D(double[] ARGB)

  - ### RainbowPattern2D

    public RainbowPattern2D()

- ## Method Details

  - ### ToFXColor

    public javafx.scene.paint.Color ToFXColor()

  - ### ToFXColor

    public javafx.scene.paint.Color ToFXColor(double[] ARGB)

  - ### RainbowSoftColorFunction

    public Object RainbowSoftColorFunction(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, RainbowSoftColor ColorBefore, RainbowSoftColor ColorAfter)

  - ### SimpleRainbow

    public Object SimpleRainbow(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength)

  - ### SimpleRainbow

    public Object SimpleRainbow(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations)

  - ### SimpleRainbow

    public Object SimpleRainbow(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations, boolean Adjusted)

  - ### SimpleRainbowReverse

    public Object SimpleRainbowReverse(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength)

  - ### SimpleRainbowReverse

    public Object SimpleRainbowReverse(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations)

  - ### SimpleRainbowReverse

    public Object SimpleRainbowReverse(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations, boolean Adjusted)

  - ### SimpleCustomColor

    public Object SimpleCustomColor(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double[][] RGBcolorArray)

  - ### SimpleCustomColor

    public Object SimpleCustomColor(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, javafx.scene.paint.Color[] FXcolorArray)

  - ### SimpleCustomColor

    public Object SimpleCustomColor(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations, double[][] ARGBcolorArray)

  - ### SimpleCustomColor

    public Object SimpleCustomColor(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations, double[][] ARGBcolorArray, boolean Adjusted)

  - ### SimpleCustomColor

    public Object SimpleCustomColor(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations, javafx.scene.paint.Color[] FXcolorArray)

  - ### SimpleCustomColor

    public Object SimpleCustomColor(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations, javafx.scene.paint.Color[] FXcolorArray, boolean Adjusted)

  - ### SimpleRainbow

    public Object SimpleRainbow(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter)

  - ### SimpleRainbow

    public Object SimpleRainbow(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)

  - ### SimpleRainbowReverse

    public Object SimpleRainbowReverse(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter)

  - ### SimpleRainbowReverse

    public Object SimpleRainbowReverse(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)

  - ### SimpleCustomColor

    public Object SimpleCustomColor(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations, double[][] RGBcolorArray, double OpacityBefore, double OpacityAfter, boolean Adjusted)

  - ### SimpleCustomColor

    public Object SimpleCustomColor(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double MarkerInLength, double RepeatLength, double BrightnessMultiplyer, int Gradations, javafx.scene.paint.Color[] FXcolorArray, double OpacityBefore, double OpacityAfter, boolean Adjusted)

  - ### RainbowDiskVaryated

    public Object RainbowDiskVaryated(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatRadius, boolean Reversed)

  - ### RainbowDiskGradated

    public Object RainbowDiskGradated(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatRadius, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)

  - ### RainbowDiskVaryated

    public Object RainbowDiskVaryated(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatRadius, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed)

  - ### RainbowDiskGradated

    public Object RainbowDiskGradated(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatRadius, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)

  - ### RainbowRingVaryated

    public Object RainbowRingVaryated(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatRadius, double InnerCutOffRadius, double OuterCutOffRadius, boolean Reversed)

  - ### RainbowRingGradated

    public Object RainbowRingGradated(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatRadius, double InnerCutOffRadius, double OuterCutOffRadius, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)

  - ### RainbowRingVaryated

    public Object RainbowRingVaryated(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatRadius, double InnerCutOffRadius, double OuterCutOffRadius, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed)

  - ### RainbowRingGradated

    public Object RainbowRingGradated(double ColorsLength, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatRadius, double InnerCutOffRadius, double OuterCutOffRadius, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)

  - ### RainbowClockVaryated

    public Object RainbowClockVaryated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, boolean Reversed)

  - ### RainbowClockGradated

    public Object RainbowClockGradated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)

  - ### RainbowClockVaryated

    public Object RainbowClockVaryated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed)

  - ### RainbowClockGradated

    public Object RainbowClockGradated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)

  - ### RainbowSpiralVaryated

    public Object RainbowSpiralVaryated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, double SpiralFactor, double NumberOfSpirals, double HalfSreenDiagionalLength, boolean Reversed)

  - ### RainbowSpiralGradated

    public Object RainbowSpiralGradated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, double SpiralFactor, double NumberOfSpirals, double HalfSreenDiagionalLength, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)

  - ### RainbowSpiralVaryated

    public Object RainbowSpiralVaryated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, double SpiralFactor, double NumberOfSpirals, double HalfSreenDiagionalLength, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed)

  - ### RainbowSpiralGradated

    public Object RainbowSpiralGradated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, double SpiralFactor, double NumberOfSpirals, double HalfSreenDiagionalLength, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)

  - ### RainbowCheapFractalVaryated

    public Object RainbowCheapFractalVaryated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, double DimWidth, boolean Reversed)

  - ### RainbowCheapFractalGradated

    public Object RainbowCheapFractalGradated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, double DimWidth, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)

  - ### RainbowCheapFractalVaryated

    public Object RainbowCheapFractalVaryated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, double DimWidth, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed)

  - ### RainbowCheapFractalGradated

    public Object RainbowCheapFractalGradated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, double DimWidth, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)

  - ### RainbowStrobeVaryated

    public Object RainbowStrobeVaryated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, Dimension Dim, Dimension HalfedDim, double HalfSreenDiagionalLength, boolean Reversed)

  - ### RainbowStrobeGradated

    public Object RainbowStrobeGradated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, Dimension Dim, Dimension HalfedDim, double HalfSreenDiagionalLength, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)

  - ### RainbowStrobeVaryated

    public Object RainbowStrobeVaryated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, Dimension Dim, Dimension HalfedDim, double HalfSreenDiagionalLength, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed)

  - ### RainbowStrobeGradated

    public Object RainbowStrobeGradated(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, Dimension Dim, Dimension HalfedDim, double HalfSreenDiagionalLength, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)

  - ### RainbowExponentiator

    public Object RainbowExponentiator(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, Dimension Dim, double ExponentValue, double colorFlipper, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)

  - ### RainbowExponentiator

    public Object RainbowExponentiator(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, Dimension Dim, double ExponentValue, double colorFlipper, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)

  - ### RainbowDoubleExponentiator

    public Object RainbowDoubleExponentiator(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, Dimension Dim, double ExponentValue, double colorFlipper, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)

  - ### RainbowDoubleExponentiator

    public Object RainbowDoubleExponentiator(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double x, double y, double RepeatFactor, Dimension Dim, double ExponentValue, double colorFlipper, javafx.scene.paint.Color[] FXcolorArray, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted)

  - ### Exponentiator

    public double Exponentiator(double ExponentValue, double SliderValue, double SliderRange)

  - ### Exponentiator

    public double Exponentiator(double ExponentValue, double SliderValue, double SliderStart, double SliderFinish)

  - ### SliderFormulateJustMovingColors

    public double SliderFormulateJustMovingColors(double ColorsLength, double FormulaValue, double LocationOfColorMovement, double RepeatLength)

  - ### SliderFormulateSlidingTransitionsSameColors

    public double SliderFormulateSlidingTransitionsSameColors(double ColorsLength, double FormulaValue, double LocationOfStillMovement, double RepeatLength)

  - ### SliderFormulateDoubleSliding

    public double SliderFormulateDoubleSliding(double ColorsLength, double FormulaValue, double LocationOfStillMovement, double LocationOfColorMovement, double RepeatLength)

  - ### CustomColorsReverser

    public javafx.scene.paint.Color[] CustomColorsReverser(javafx.scene.paint.Color[] FXcolorArray)

  - ### ColorValueFitter

    public double ColorValueFitter(double ColorToBeChecked)

  - ### OpacityValueFitter

    public double OpacityValueFitter(double OpacityToBeChecked)

  - ### set

    public void set(double[] ARGB)

  - ### set

    public void set(javafx.scene.paint.Color FXColor)

  - ### get

    public Object get()